View Issue Details

IDProjectCategoryView StatusLast Update
0000065luatexluatex bugpublic2008-09-30 11:49
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.30.0 
Summary0000065: unset_attribute on not present attribute creates mayhem
Description
For example, this destroys the content of a glue item:

local so = has_attribute(current,skip_order ) or 1
if so then unset_attribute(current,skip_order ) end
TagsNo tags attached.

Activities

Hans Hagen

2008-09-23 15:22

manager   ~0000052

more correctly, unset_attribute(current, non-nil-but-undefined) fails

Taco

2008-09-23 15:26

administrator   ~0000053

unset_attribute() looked too far ahead when a to-be-unset attribute
id not only did not exist in the node, but was also higher than
the highest attribute on the node that actually was set.

Issue History

Date Modified Username Field Change
2008-07-02 13:55 Taco New Issue
2008-09-23 15:22 Hans Hagen Note Added: 0000052
2008-09-23 15:26 Taco Status new => resolved
2008-09-23 15:26 Taco Fixed in Version => 0.30.0
2008-09-23 15:26 Taco Resolution open => fixed
2008-09-23 15:26 Taco Assigned To => Taco
2008-09-23 15:26 Taco Note Added: 0000053
2008-09-30 11:49 Taco Status resolved => closed